import * as React from 'react';
/**
 * @public
*/
export interface ScrollListProps {
    /**
     * 滚动列表的数据
    */
    list: any[];
    /**
     * Render 必须返回一个　li 结点 的reactNode
    */
    render: Function;
    /**
     * 滚动速度，越小越快，默认50
    */
    speed?: number;
    /**
     * 样式名
    */
    className?: string;
    /**
     * 是否一直滚动，默认为false
    */
    alwaysScroll?: boolean;
}
/**
 * ScrollList
*/
export default class extends React.PureComponent<ScrollListProps> {
    id: string;
    interval: any;
    canScroll: boolean;
    marquee(root: any, step: any): void;
    init(init?: boolean): void;
    componentDidMount(): void;
    componentDidUpdate(old: any): void;
    render(): JSX.Element;
}
